Subject: Re: linux-next: build failure after merge of the rust tree

From: Gary Guo <[email-masked]>
Date: Mon, 11 Nov 2024 14:15:16 +0000

On Mon, 11 Nov 2024 09:28:53 +0100
Miguel Ojeda <[email-masked]> wrote:

> On Mon, Nov 11, 2024 at 9:16 AM Miguel Ojeda
> <[email-masked]> wrote:
> >
> > moment only the patches up to introducing the new `ffi::` crate (which
> > includes most of the changes), i.e. up to commit d072acda4862 ("rust:
> > use custom FFI integer types") but without doing the big remapping
> > just yet, so that others have it available for their branches, and  
> 
> "without doing the big remapping" is ambiguous -- I meant "actual
> remapping", i.e. taking the commit as-is without the next commit,
> since we should be able to do most of the renames already.

That sounds reasonable to me. So for next cycles we have a commit that
fixes up remaining renames, and then apply the other commits?

Best,
Gary

> 
> But the other interpretation, i.e. skipping most of the
> changes/renames `core` -> `ffi` in that commit and do those later when
> we do the actual remapping (which is most of the changes, in fact), is
> also fine. They are not needed right away.
> 
> I will check how it would look like on top of next.
> 
> Cheers,
> Miguel